Ubuntu

fb: conflicting fb hw usage inteldrmfb vs VESA VGA

Reported by Ritz on 2010-08-05
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

maverick boot conflict:

fb: conflicting fb hw usage inteldrmfb vs VESA VGA - removing generic driver
[ 8.866962] Console: switching to colour dummy device 80x25
[ 9.276365] Console: switching to colour frame buffer device 128x37
[ 9.284126] fb0: inteldrmfb frame buffer device
[ 9.284133] drm: registered panic notifier

my hardware is a eeePC 1000H:

cilie@eee:~$ lspci
00:00.0 Host bridge: Intel Corporation Mobile 945GME Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GME Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 2 (rev 02)
00:1c.3 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 4 (rev 02)
00:1d.0 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation N10/ICH 7 Family USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 02)
01:00.0 Network controller: Intel Corporation Ultimate N WiFi Link 5300
03:00.0 Ethernet controller: Atheros Communications AR8121/AR8113/AR8114 Gigabit or Fast Ethernet (rev b0)

cilie@eee:~$ uname -a
Linux eee 2.6.35-14-generic #19-Ubuntu SMP Mon Aug 2 01:43:35 UTC 2010 i686 GNU/Linux

ilap (ilap) wrote :

You should disable the Vesa FB.
Edit the /etc/defaul/grub and modify the
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
to
GRUB_CMDLINE_LINUX_DEFAULT="video=vesafb:off quiet splash"

The run as root the following:
# update-grub
# grub-install <The device where the bootblk should be stored, in general /dev/sda or /dev/hda>

kernel-janitor (kernel-janitor) wrote :

Hi Ritz,

Please be sure to confirm this issue exists with the latest development release of Ubuntu. ISO CD images are available from http://cdimage.ubuntu.com/daily/current/ . If the issue remains, please run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux 614085

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete

Den 11/08/10 22.48, kernel-janitor skrev:
> Hi Ritz,
>
> Please be sure to confirm this issue exists with the latest development release of Ubuntu. ISO CD images are available from http://cdimage.ubuntu.com/daily/current/ . If the issue remains, please run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.
>
> apport-collect -p linux 614085
>
> Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.
>
> Thanks in advance.
>
> [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]
>
>
> ** Tags added: needs-kernel-logs
>
> ** Tags added: needs-upstream-testing
>
> ** Tags added: kj-triage
>
> ** Changed in: linux (Ubuntu)
> Status: New => Incomplete
>
>
Have tried to make a nem install the last week with different daily
builds and alpha 3 using the make start disk utility in Ubuntu 9.04. and
unetbooting in windowsXP on differet usb sticks that normally work as
bootdisks. But they all end with errors like:

SYSLINUX 3.63 Debian-2008-07-15 EBIOS Copyright (C) 1994-2008 H. Peter Anvin
Unknown keyword in configuration file.
boot:

So I don't know if it is fixed or not.

Ritz (jonas-ritz) wrote :

This still exist in todays daily bould of kubuntu

Ritz (jonas-ritz) wrote :

with 2.6.36-19 I don't see this anymore.

Changed in linux (Ubuntu):
status: Incomplete → Fix Released
Detlef Lechner (detlef-lechner) wrote :

I am affected too.
~$ uname -a; Linux MD97600 2.6.35-22-generic #32-Ubuntu SMP Wed Sep 15 23:39:25 UTC 2010 i686 GNU/Linux
I laugh at the statement #4 of Ritz: "Fix Released."

Tim Schutte (kc8hr) wrote :

I am also affected by this problem. The virtual consoles are unusable due to the very large resolution.

Linux dojo 2.6.35-23-generic #41-Ubuntu SMP Wed Nov 24 10:18:49 UTC 2010 i686 GNU/Linux

-Computer-
Processor : Intel(R) Pentium(R) 4 CPU 2.60GHz
Memory : 2052MB (251MB used)
Operating System : Ubuntu 10.10
Date/Time : Fri 03 Dec 2010 05:03:56 PM EST
-Display-
Resolution : 1024x768 pixels
OpenGL Renderer : Mesa DRI Intel(R) 865G GEM 20100330 DEVELOPMENT x86/MMX/SSE2
X11 Vendor : The X.Org Foundation

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers